## org.eclipse.datatools.sqltools.sqlbuilder.views
Class DynamicComboBoxCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.datatools.sqltools.sqlbuilder.views.EditComboBoxCellEditor
              org.eclipse.datatools.sqltools.sqlbuilder.views.DynamicComboBoxCellEditor

    public class DynamicComboBoxCellEditor

extends EditComboBoxCellEditor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`org.eclipse.jface.viewers.CellEditor.LayoutData`

Field Summary

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`DynamicComboBoxCellEditor(org.eclipse.swt.widgets.Composite parent, LabelValuePair[] items, java.lang.Object viewer)`

Method Summary
`void` `addItemsToStart(LabelValuePair[] newItemsToAdd)`
`ITextProvider` `getTextProvider()` Gets the current text provider.
`void` `setTextProvider(ITextProvider textProvider)` Sets the text provider to the given object.

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.EditComboBoxCellEditor
`activate, appendQuotes, createItems, deactivate, forwardFocusLost, getComboBoxItems, getNeedQuotes, getPairDataType, getQuotesContext, setNeedQuotes, setPairDataType, setPairDataType, setQuotesContext`

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, addListener, addPropertyChangeListener, create, dispose, getControl, getErrorMessage, getLayoutData, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setFocus, setStyle, setValidator, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicComboBoxCellEditor

    public DynamicComboBoxCellEditor(org.eclipse.swt.widgets.Composite parent,
                                     LabelValuePair[] items,
                                     java.lang.Object viewer)

Method Detail

### addItemsToStart

    public void addItemsToStart(LabelValuePair[] newItemsToAdd)

### getTextProvider

    public ITextProvider getTextProvider()

  Gets the current text provider.

  Returns:
    the text provider or null if none was set

### setTextProvider

    public void setTextProvider(ITextProvider textProvider)

  Sets the text provider to the given object.

  Parameters:
    `textProvider` - the text provider to set